Skip to main content
`Ctrl`+`K`

# scipy.special.erfcinv

scipy.special.erfcinv(y, out=None) = <ufunc 'erfcinv'>

  Inverse of the complementary error function.

  Computes the inverse of the complementary error function.

  In the complex domain, there is no unique complex number w satisfying erfc(w)=z. This indicates a true inverse function would be multivalued. When the domain restricts to the real, 0 < x < 2, there is a unique real number satisfying erfc(erfcinv(x)) = erfcinv(erfc(x)).

  It is related to inverse of the error function by erfcinv(1-x) = erfinv(x)

  Parameters:
    y ndarray

      Argument at which to evaluate. Domain: [0, 2]

    out ndarray, optional

      Optional output array for the function values

  Returns:
    erfcinv scalar or ndarray

      The inverse of erfc of y, element-wise

  See also

  `erf`

    Error function of a complex argument

  `erfc`

    Complementary error function, `1 - erf(x)`

  `erfinv`

    Inverse of the error function

  Examples

      >>> import numpy as np
      >>> import matplotlib.pyplot as plt
      >>> from scipy.special import erfcinv

      >>> erfcinv(0.5)
      0.4769362762044699

      >>> y = np.linspace(0.0, 2.0, num=11)
      >>> erfcinv(y)
      array([        inf,  0.9061938 ,  0.59511608,  0.37080716,  0.17914345,
             -0.        , -0.17914345, -0.37080716, -0.59511608, -0.9061938 ,
                    -inf])

  Plot the function:

      >>> y = np.linspace(0, 2, 200)
      >>> fig, ax = plt.subplots()
      >>> ax.plot(y, erfcinv(y))
      >>> ax.grid(True)
      >>> ax.set_xlabel('y')
      >>> ax.set_title('erfcinv(y)')
      >>> plt.show()